org.apache.sis.referencing.operation.transform

## Enum EllipsoidToCentricTransform.TargetType

- Object
- - Enum<EllipsoidToCentricTransform.TargetType>
  - - EllipsoidToCentricTransform.TargetType

- All Implemented Interfaces:
    Serializable, Comparable<EllipsoidToCentricTransform.TargetType>
  Enclosing class:
    EllipsoidToCentricTransform

      public static enum EllipsoidToCentricTransform.TargetType
      extends Enum<EllipsoidToCentricTransform.TargetType>

  Whether the output coordinate system is Cartesian or Spherical.

  TODO: The spherical case is not yet implemented. We could also consider supporting the cylindrical case, but its usefulness is not obvious. See SIS-302.

  Since:
    0.7

  Defined in the `sis-referencing` module

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CARTESIAN` Indicates conversions from ellipsoidal to Cartesian coordinate system.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EllipsoidToCentricTransform.TargetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EllipsoidToCentricTransform.TargetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CARTESIAN

          public static final EllipsoidToCentricTransform.TargetType CARTESIAN

      Indicates conversions from ellipsoidal to Cartesian coordinate system.

  - ### Method Detail

    - #### values

          public static EllipsoidToCentricTransform.TargetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EllipsoidToCentricTransform.TargetType c : EllipsoidToCentricTransform.TargetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EllipsoidToCentricTransform.TargetType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.